Bug 995396 - rpmlint ignors NetworkEnabled option if not verbose
rpmlint ignors NetworkEnabled option if not verbose
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpmlint (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 05:15 EDT by Fredrik Axelsson
Modified: 2017-12-06 07:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:31:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fredrik Axelsson 2013-08-09 05:15:33 EDT
Description of problem:
Setting the option NetworkEnabled to False is ignored if -v (verbose) is not also set.

Version-Release number of selected component (if applicable):
rpmlint version 0.94

How reproducible:
Always

Steps to Reproduce:
1. service network stop
2. rpmlint -o "NetworkEnabled False" some_package.rpm

Actual results:
Warning about invalid-url even though NetworkEnabled is set to False:

some_package.x86_64: W: invalid-url URL: http://example.com ...

Expected results:
No warning about invalid url.

Additional info:
Think bug is in /usr/share/rpmlint/AbstractCheck.py
The method AbstractCheck.check_url only checks for self.network_enabled if self.verbose is set.
Comment 2 RHEL Product and Program Management 2013-10-13 19:16:52 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 07:31:53 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.